// ~/composables/useApartments.ts
import {computed} from 'vue'       // ①  explizit importieren
import {useI18n} from '#imports'

export interface Apartment {
    title: string
    subtitle: string
    images: string[]
    features: { icon: string; label: string }[]
}

export function useApartments() {
    const {t} = useI18n()

    const list = computed(() =>
        t('apartments') as unknown as Apartment[]
    )

    const lst = list//[1, 2, 3]

    return {lst}
}
